%define api 1
%define major 0
%define gi_version 1.0
%define libname %mklibname %{name} %{api} %{major}
%define giname %mklibname %{name}-gir %{gi_version}
%define develname %mklibname -d %name %api

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	0.113
Release:	%mkrel 1
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/polkit
Source:		http://www.freedesktop.org/software/polkit/releases/%{name}-%{version}.tar.gz
Group:		System/Libraries
BuildRequires:	pkgconfig(expat)
BuildRequires:	pam-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(mozjs185)
BuildRequires:  systemd-devel

Requires(pre):   rpm-helper >= 0.24.8-1
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Suggests:	%{name}-desktop-policy

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package desktop-policy
Summary:	PolicyKit policy for desktop users
Group:		System/Libraries
#Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description desktop-policy
This package contains configuration directives to make PolicyKit use
members of the wheel group when administrator authentication is
required. Additionally, the package also contain configuration
directives to allow users in the wheel group to do certain actions
without being interrupted by password dialogs

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{giname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	polkit < 0.101-4

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%setup -q
%apply_patches

%build
#libtoolize --copy --force; aclocal; autoheader; automake --add-missing --force-missing; autoconf
# enable-libsystemd-login is necessary to allow compile in sandbox
# otherwise there will be an error
%configure2_5x \
	--enable-gtk-doc \
	--disable-static \
	--libexecdir=%{_libexecdir}/polkit-1 \
	--enable-systemd=yes \
        --enable-libsystemd-login=yes

%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name "*.la" -delete

# (cg) Make the rules dir (this is where other packages should ship their rules)
mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d

%pre
%_pre_useradd polkitd %{_prefix}/lib/polkit-1 /sbin/nologin

%post
# (cg) Previous package enabled this but it's now purely dbus activated
rm -f %{_sysconfdir}/systemd/system/graphical.target.wants/polkitd.service

%postun
%_postun_userdel polkitd

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{giname}
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib

%files desktop-policy
# (cg) leave empty just now... we may fill it again with a new rule.
#%{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf
#%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/10-desktop-policy.pkla

%files -f polkit-1.lang
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%attr(700,polkitd,root) %dir %{_datadir}/polkit-1/rules.d
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%attr(700,polkitd,root) %{_sysconfdir}/polkit-1/rules.d
#exclude %{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_unitdir}/polkit.service

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*


%changelog
* Thu Jul 02 2015 luigiwalser <luigiwalser> 0.113-1.mga4
+ Revision: 849588
- 0.113 (fixes CVE-2015-4625)
- remove upstream patch

  + sander85 <sander85>
    - Fix memory leak in EnumerateActions call results handler

* Sat Oct 19 2013 umeabot <umeabot> 0.112-2.mga4
+ Revision: 535851
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 luigiwalser <luigiwalser> 0.112-1.mga4
+ Revision: 482687
- 0.112 (fixes CVE-2013-4288)

* Sun Aug 18 2013 joequant <joequant> 0.111-1.mga4
+ Revision: 467420
- Add enable-systemd-login to allow sandbox compile
- add systemd
- upgrade to 0.111

* Fri Jan 18 2013 fwang <fwang> 0.107-6.mga3
+ Revision: 389289
- eggdbus is not needed anymore

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.107-4.mga3
+ Revision: 340740
- further fix for automake 1.13
- fix for automake 1.13

* Fri Oct 19 2012 ovitters <ovitters> 0.107-3.mga3
+ Revision: 308217
- drop consolekit dependency

* Wed Sep 26 2012 mitya <mitya> 0.107-2.mga3
+ Revision: 298329
- Authenticate as root if e.g. the wheel group is empty (RedHat #834494)

* Sat Sep 08 2012 luigiwalser <luigiwalser> 0.107-1.mga3
+ Revision: 289804
- 0.107

* Sun Jul 08 2012 colin <colin> 0.106-2.mga3
+ Revision: 268917
- Fix permissions on rules.d dirs

* Wed Jun 27 2012 colin <colin> 0.106-1.mga3
+ Revision: 264420
- Really fix build requires
- Fix build requires
- Fix build
- Drop wheel group rules (replacements should go in other packages)
- Do not enable the service with systemd - it's dbus only now.
- Ensure polkitd runs as it's own user.

  + ovitters <ovitters>
    - update buildrequires
    - enable systemd
    - drop systemd patch due to new polkit version
    - new version 0.106
    - update source url

* Sat Apr 28 2012 tmb <tmb> 0.104-4.mga2
+ Revision: 233838
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 0.104-3.mga2
+ Revision: 227969
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Add BR on gettext-devel due to autoconf

  + dmorgan <dmorgan>
    - Remove %%_postun_service macro, this is now handled by filetriggers

* Tue Jan 17 2012 wally <wally> 0.104-1.mga2
+ Revision: 197397
- new version 0.104
- clean .spec a bit

* Wed Nov 09 2011 wally <wally> 0.102-4.mga2
+ Revision: 165956
- get rid of .la files

* Tue Nov 01 2011 dmorgan <dmorgan> 0.102-3.mga2
+ Revision: 160951
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 0.102-2.mga2
+ Revision: 159670
- Add systemd support (mdv)

  + fwang <fwang>
    - New version 0.102, drop merged patches

* Fri Jul 08 2011 cjw <cjw> 0.101-5.mga2
+ Revision: 120264
- add conflicts with old polkit on typelib package

* Fri Jul 08 2011 cjw <cjw> 0.101-4.mga2
+ Revision: 119991
- put gobject introspection typelibs in a separate package
- rebuild to add automatic typelib provides and deps

* Fri Jun 17 2011 dmorgan <dmorgan> 0.101-3.mga2
+ Revision: 108690
- Add default rules for desktop users

* Tue May 17 2011 misc <misc> 0.101-2.mga2
+ Revision: 99527
- fix #1298, CVE-2011-1485, polkit local root exploit, patches from
  upstream

* Fri Apr 15 2011 dams <dams> 0.101-1.mga1
+ Revision: 85554
- update to 0.101

  + rtp <rtp>
    - add bootstrap (to install libpolkit, one needs consolekit and to build
      consolekit one needs libpolkit-1-devel)

* Thu Jan 13 2011 dmorgan <dmorgan> 0.99-1.mga1
+ Revision: 10405
- imported package polkit

